python-input-pad_1.0.3-1build1_i386.deb


Advertisement

Description

python-input-pad - On-screen Input Pad to Send Characters with Mouse - python

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-input-pad_1.0.3-1build1_i386.deb
Package name python-input-pad
Package version 1.0.3
Package release 1build1
Package architecture i386
Package type deb
Category universe/python
Homepage http://code.google.com/p/input-pad/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 39.96 KB
Installed size 253.00 KB
The input pad is a tool to send a character to text applications when the
corresponging button is pressed. It provides the GTK+ based GUI and can send
characters when the GTK+ buttons are pressed.
This package contains the Python binding of input-pad.

Alternatives

Package Version Architecture Repository
python-input-pad_1.0.3-1build1_amd64.deb 1.0.3 amd64 Ubuntu Universe
python-input-pad - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.16.0
libgtk-3-0 >= 3.0.0
libinput-pad1 = 1.0.3-1build1
libpython2.7 >= 2.7
python << 2.8
python >= 2.7
python:any >= 2.6.6-7~

Provides

Name Value
python2.7-input-pad -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-input-pad_1.0.3-1build1_i386.deb
Source Package input-pad

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-input-pad deb package:
    # sudo apt-get install python-input-pad

Files

Path
/usr/lib/python2.7/dist-packages/pyinput_pad.pth
/usr/lib/python2.7/dist-packages/input-pad-1.0/_input_pad.so
/usr/lib/python2.7/dist-packages/input-pad-1.0/_input_pad_group.so
/usr/lib/python2.7/dist-packages/input-pad-1.0/_input_pad_window_gtk.so
/usr/lib/python2.7/dist-packages/input-pad-1.0/input_pad.py
/usr/lib/python2.7/dist-packages/input-pad-1.0/input_pad_group.py
/usr/lib/python2.7/dist-packages/input-pad-1.0/input_pad_window_gtk.py
/usr/share/doc/python-input-pad/changelog.Debian.gz
/usr/share/doc/python-input-pad/copyright

Changelog

2018-04-03 - Balint Reczey <rbalint@ubuntu.com>
input-pad (1.0.3-1build1) bionic; urgency=high
* No change rebuild to pick up -fPIE compiler default
2014-01-26 - Osamu Aoki <osamu@debian.org>
input-pad (1.0.3-1) unstable; urgency=medium
* New upstream release
* Bump standards version to 3.9.5
* Use autoreconf. Closes: #733710
* Use hardening flags.
2013-10-06 - Osamu Aoki <osamu@debian.org>
input-pad (1.0.2-2) unstable; urgency=low
* libinput-pad-dev should depend on libgtk-3-dev. Closes: #724226
* python-gi is not needed for input-pad. 
2013-09-15 - Osamu Aoki <osamu@debian.org>
input-pad (1.0.2-1) unstable; urgency=low
* New upstream release
* Bump standards version to 3.9.4 with compat 9 and python2.
* Update symbols and build with GTK+3.
* Do not ship *.a nor *.la.
* Add the gir1.2-input-pad-1.0 package for GObject introspection. 
2012-02-06 - Asias He <asias.hejun@gmail.com>
input-pad (1.0.1-2) unstable; urgency=low
* Fix "Spelling mistake in package description and package description
form suggestion" (Closes: #623853)
* Fix "package-contains-empty-directory usr/lib/input-pad-
1.0/modules/kbdui/" (Closes: #631644)
2011-07-06 - Asias He <asias.hejun@gmail.com>
input-pad (1.0.1-1) unstable; urgency=low
* New upstream release
* Bump standards version to 3.9.2
2011-04-10 - Asias He <asias.hejun@gmail.com>
input-pad (1.0.0-2) unstable; urgency=low
* Fix "Please don't install la file in dev-package (Policy 10.2)"
(Closes: #620771)
* Fix "Getting rid of unneeded *.la / emptying dependency_libs"
(Closes: #621703)
2011-03-20 - Asias He <asias.hejun@gmail.com>
input-pad (1.0.0-1) unstable; urgency=low
* New upstream release
* Set Vcs to git.debina.org 
* Bump libinput-pad0 to libinput-pad1
* Set DM-Upload-Allowed to yes
2010-09-25 - LI Daobing <lidaobing@debian.org>
input-pad (0.1.2-1) unstable; urgency=low
[ Asias He ]
* New upstream release.
* debian/control:  
- updated Depends for libinput-pad0 and lininput-pad-xtest
2010-08-23 - Asias He <asias.hejun@gmail.com>
input-pad (0.1.1-1) unstable; urgency=low
* Initial release (Closes: #593949)

See Also

Package Description
python-instagram_1.3.2+git20160108~dfeebe9-4_all.deb Python 2 client for the Instagram REST and Search APIs
python-instant_2017.2.0.0-2_all.deb simple inlining of C/C++ code in Python 2
python-intbitset-doc_2.3.0-2_all.deb unordered sets with ultra fast operations (documentation)
python-intbitset_2.3.0-2_i386.deb unordered sets with ultra fast operations
python-interactive-markers_1.11.3-1build2_all.deb Robot OS interactive_markers python package
python-intervaltree-bio_1.0.1-1_all.deb Interval tree convenience classes for genomic data -- Python 2 library
python-intervaltree_2.1.0-2_all.deb mutable, self-balancing interval tree (Python 2)
python-invocations_0.6.2-2_all.deb reusable invoke tasks - Python 2.x
python-invoke_0.11.1+dfsg1-1_all.deb Pythonic task execution - Python 2.x
python-ioprocess_0.15.1-2ubuntu2_all.deb Python bindings for ioprocess
python-iowait_0.1-1.1build1_all.deb Platform-independent module for I/O completion events
python-ipaclient_4.7.0~pre1+git20180411-2ubuntu2_all.deb FreeIPA centralized identity framework -- Python modules for ipaclient
python-ipalib_4.7.0~pre1+git20180411-2ubuntu2_all.deb FreeIPA centralized identity framework -- shared Python modules
python-ipaserver_4.7.0~pre1+git20180411-2ubuntu2_all.deb FreeIPA centralized identity framework -- Python modules for server
python-ipatests_4.7.0~pre1+git20180411-2ubuntu2_all.deb FreeIPA centralized identity framework -- Python modules for tests
Advertisement
Advertisement